summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorErich Eckner <git@eckner.net>2018-06-28 14:14:23 +0200
committerErich Eckner <git@eckner.net>2018-06-28 14:14:23 +0200
commit883e34b80449282ecbb8fd4b1717b32c56163e89 (patch)
tree33ecf0028d20eb588e164555131b51da5e534558
parentd749b217cbce706aca19a16a5a93f0e2f670bd3c (diff)
downloadbuilder-883e34b80449282ecbb8fd4b1717b32c56163e89.tar.xz
bin/wtf: enable full-path search
-rwxr-xr-xbin/wtf12
1 files changed, 10 insertions, 2 deletions
diff --git a/bin/wtf b/bin/wtf
index b42cd15..1963cff 100755
--- a/bin/wtf
+++ b/bin/wtf
@@ -2,7 +2,9 @@
# shellcheck disable=SC2119,SC2120
-wget -qO- 'https://pkgapi.arch32.tyzoid.com/esearch/'"$*"'.xml' | \
+search="$*"
+
+wget -qO- 'https://pkgapi.arch32.tyzoid.com/esearch/'"${search##*/}"'.xml' | \
awk '
BEGIN {
package="";
@@ -35,4 +37,10 @@ wget -qO- 'https://pkgapi.arch32.tyzoid.com/esearch/'"$*"'.xml' | \
file[++filelen] = gensub(/<[^>]+>/, "", "g", $1);
}
}
- '
+ ' | \
+ if printf '%s\n' "${search}" | \
+ grep -q '/'; then
+ grep -w "${search}" || true
+ else
+ cat
+ fi